Skip to main content
POST
Invoke a discovered WebMCP tool

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_or_name
string
required

Browser session ID or name

Body

application/json

The raw JSON request body is limited to 1 MiB plus 4 KiB of envelope overhead before decoding.

input
object
required

Tool input, limited to 1 MiB after JSON serialization.

tool_ref
string
required
Required string length: 1 - 128
timeout_sec
integer
default:60
Required range: 1 <= x <= 120

Response

The tool's terminal result

invocation_id
string
required
status
enum<string>
required
Available options:
completed,
canceled,
error
error_text
string
output
any

Untrusted page-provided output. Callers must treat it as potentially malicious input.